%define epiphany_ver %(rpm -q --whatprovides epiphany-devel --queryformat "%{VERSION}")
%define epiphany_minor %(echo %epiphany_ver | awk -F. '{print $2}')
%define epiphany_major 2.%epiphany_minor
%define epiphany_next_major %(echo 2.$((%epiphany_minor+1)))

Summary: 	GUI Download manager using wget
Name: 		gwget
Version: 	1.0.4
Release: 	%mkrel 2
License: 	GPLv2+
Group: 		Networking/File transfer
Source: 	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		gwget-1.0.2-format-strings.patch
Patch1:		gwget-0.99-fix-dbus-name.patch
Patch2:		gwget-1.00-linkage.patch
URL: 		http://gwget.sourceforge.net/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildrequires:	libgnomeui2-devel
Buildrequires:	libglade2.0-devel
BuildRequires:	gtk+2-devel >= 2.6.0
BuildRequires:  epiphany-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	intltool
BuildRequires:	automake gnome-common
Requires: 	wget >= 1.10
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version



%description
Gwget is a download manager for GNOME 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

%description -l de
Gwget ist ein Download-Manager für GNOME 2. Es nutzt wget als Backend.
Derzeit sind sehr einfach wget Optionen zur Verfügung, die Unterstützung mehrerer
Downloads, Drag & Drop und zeigt die Fehler von wget-Prozess.

%description -l fr
Gwget est un gestionnaire de téléchargement pour GNOME 2. Il utilise wget comme backend.
Actuellement, les options wget très de base sont disponibles, en appuyant plusieurs
téléchargements, drag & drop et d'afficher les erreurs de processus de wget.

%description -l es
Gwget es un gestor de descargas para GNOME 2. Éste usa wget como backend.
Actualmente, las opciones de wget muy básicos están disponibles, el apoyo a múltiples
descargas, arrastrar y soltar y mostrar los errores del proceso de wget.

%description -l pl
Gwget is a download manager for GNOME 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

%description -l sr
Гугет је преузимање менаџер за ГНОМЕ 2. Угет га користи као позадина.
Тренутно, угет основне опције су на располагању, подржавају више
преузимања, Драг & Дроп метода и приказ грешака из угет процес.

%description -l nl
Gwget is een download manager voor GNOME 2. Het maakt gebruik van wget als backend.
Momenteel zijn erg basic wget opties beschikbaar, ondersteuning van meerdere
downloads, drag & drop en het display van de fouten van wget proces.


%package -n epiphany-gwget
Summary:	Epiphany extension, using gwget as downloader
Group: 		Networking/File transfer
Requires:	gwget = %{version}
Requires:	epiphany >= %epiphany_major
Requires:	epiphany < %epiphany_next_major

%description -n epiphany-gwget
Gwget is a download manager for GNOME 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

This package contains an extension for epiphany, the GNOME web browser,
which allows the browser to use gwget as an external file downloader.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .format
%patch1 -p1
%patch2 -p1
autoreconf -fi

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

install -D -m 0644 pixmaps/%{name}-large.png %{buildroot}%{_miconsdir}/%{name}.png
convert %{buildroot}%{_miconsdir}/%{name}.png -resize 16 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 pixmaps/%{name}-large.png %{buildroot}%{_iconsdir}/%{name}.png
convert %{buildroot}%{_iconsdir}/%{name}.png -resize 32 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 0644 pixmaps/%{name}-large.png %{buildroot}%{_liconsdir}/%{name}.png
convert %{buildroot}%{_liconsdir}/%{name}.png -resize 48 %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 0644 pixmaps/%{name}-large.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48 %{buildroot}%{_datadir}/pixmaps/%{name}.png

#MENU
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop



# remove files not bundled
rm -rf %{buildroot}%{_prefix}/doc/ %{buildroot}%{_includedir}

%find_lang %{name} --with-gnome
 
%post
%update_menus
%update_desktop_database
%post_install_gconf_schemas %name

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/dbus-1/services/*.service
%{_datadir}/gwget/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%files -n epiphany-gwget
%defattr (-,root,root)
%doc COPYING
%{_libdir}/epiphany/*/extensions/*


%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 1.0.4-2pclos2010
- rebuild

* Mon Oct 19 2009 slick50 <lxgator@gmail.com> 1.0.4-1pclos2010
- 1.0.4

* Tue Sep 29 2009 johnnyblack <johnnyblack at inbox.com> 1.0.2-1pclos2009
- 1.0.2

